---
title: Pickup Appointment update (given stop sequence as 1)
slug: fourkites-api-reference/pickup-appointment-update-given-stop-sequence-as-1
createdAt: 2024-02-05T08:04:48.000Z
---

:::ApiMethodV2
```json
{
  "name": "Pickup Appointment Update",
  "method": "POST",
  "url": "https://api.fourkites.com/load/update/dispatcher-api/async",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "oLvosGmzkQ3bvszwQDwDh",
        "language": "curl",
        "code": "curl --location 'https://api.fourkites.com/load/update/dispatcher-api/async' \\\n--header 'Content-Type: application/json' \\\n--header 'apikey: testkey' \\\n--data '{\n    \"updates\": [\n        {\n            \"timeZone\": \"UTC\",\n            \"billToCode\": \"Shipper unique id\",\n            \"identifierKeys\": [\n                {\n                    \"identifier\": \"Load reference #1\",\n                    \"rawIdentifier\": \"Carrier format - Load reference #1\",\n                    \"identifierType\": \"Load reference identifier type in FourKites or Carrier company\" //If FourKites standard used, then only reference would be searched using given identifierType otherwise skipped\n                },\n                {\n                    \"identifier\": \"Load reference #2\",\n                    \"rawIdentifier\": \"Carrier format - Load reference #2\",\n                    \"identifierType\": \"Load reference identifier type in FourKites or Carrier company\"\n                },\n                {\n                    \"identifier\": \"Load reference #3\",\n                    \"rawIdentifier\": \"Carrier format - Load reference #3\",\n                    \"identifierType\": \"Load reference identifier type in FourKites or Carrier company\"\n                },\n                {\n                    \"identifier\": \"Load reference #4\",\n                    \"rawIdentifier\": \"Carrier format - Load reference #4\",\n                    \"identifierType\": \"Load reference identifier type in FourKites or Carrier company\"\n                }\n            ],\n            \"stopUpdate\": {\n                \"earliestAppointmentTime\": \"YYYY-MM-DDTHH:MM:SSZ\",\n                \"latestAppointmentTime\": \"YYYY-MM-DDTHH:MM:SSZ\",\n                \"stopSequence\": 1\n            }\n        }\n    ]\n}'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "oLvosGmzkQ3bvszwQDwDh"
  },
  "results": {
    "languages": [
      {
        "id": "HWyoTVAKKbJAvU0fzLvlW",
        "language": "202",
        "customLabel": "",
        "code": "{\n  \"requestId\": \"ee296f2f-ebad-42ef-ac4b-6e90382221f1\",\n  \"status\": \"202\",\n  \"message\": \"API Request Accepted\",\n  \"timestamp\": \"2023-09-29T14:00:35.727258\"\n}"
      }
    ],
    "selectedLanguageId": "HWyoTVAKKbJAvU0fzLvlW"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "pickup-appointment-update",
  "legacyHash": "_RbpZbvM7w_hVRyfgg1WJ"
}
```
:::

## Header

***

| **Content-Type** | application/json              |
| ---------------- | ----------------------------- |
| **apikey**       | ESA5O67JHQ9H00UT34913N1XPICK5 |

:::hint{type="info"}
For appointment time fields (`earliestAppointmentTime`, `latestAppointmentTime`) provide datetime values in the stop's local timezone only. UTC is not supported.
:::

## Body

***

```json
{
    "updates": [
        {
            "timeZone": "UTC",
            "billToCode": "Shipper unique id",
            "identifierKeys": [
                {
                    "identifier": "Load reference #1",
                    "rawIdentifier": "Carrier format - Load reference #1",
                    "identifierType": "Load reference identifier type in FourKites or Carrier company" //If FourKites standard used, then only reference would be searched using given identifierType otherwise skipped
                },
                {
                    "identifier": "Load reference #2",
                    "rawIdentifier": "Carrier format - Load reference #2",
                    "identifierType": "Load reference identifier type in FourKites or Carrier company"
                },
                {
                    "identifier": "Load reference #3",
                    "rawIdentifier": "Carrier format - Load reference #3",
                    "identifierType": "Load reference identifier type in FourKites or Carrier company"
                },
                {
                    "identifier": "Load reference #4",
                    "rawIdentifier": "Carrier format - Load reference #4",
                    "identifierType": "Load reference identifier type in FourKites or Carrier company"
                }
            ],
            "stopUpdate": {
                "earliestAppointmentTime": "YYYY-MM-DDTHH:MM:SSZ",
                "latestAppointmentTime": "YYYY-MM-DDTHH:MM:SSZ",
                "stopSequence": 1
            }
        }
    ]
}
```
